Skip to main content
`Ctrl`+`K`

# `skopt.acquisition`.gaussian_lcb

skopt.acquisition.gaussian_lcb(X, model, kappa=1.96, return_grad=False)

  Use the lower confidence bound to estimate the acquisition values.

  The trade-off between exploitation and exploration is left to be controlled by the user through the parameter `kappa`.

  Parameters:
    X array-like, shape (n_samples, n_features)

      Values where the acquisition function should be computed.

    model sklearn estimator that implements predict with `return_std`

      The fit estimator that approximates the function through the method `predict`. It should have a `return_std` parameter that returns the standard deviation.

    kappa float, default 1.96 or ‘inf’

      Controls how much of the variance in the predicted values should be taken into account. If set to be very high, then we are favouring exploration over exploitation and vice versa. If set to ‘inf’, the acquisition function will only use the variance which is useful in a pure exploration setting. Useless if `method` is not set to “LCB”.

    return_grad boolean, optional

      Whether or not to return the grad. Implemented only for the case where `X` is a single sample.

  Returns:
    values array-like, shape (X.shape[0],)

      Acquisition function values computed at X.

    grad array-like, shape (n_samples, n_features)

      Gradient at X.